Skip to main content
Publish location menu
curl --request POST \
  --url https://api.maple.inc/v1/locations/{locationId}/menu \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "currency": "<string>",
  "categories": [
    {
      "externalId": "<string>",
      "name": "<string>",
      "items": [
        {
          "externalId": "<string>",
          "name": "<string>",
          "variations": [
            {
              "externalId": "<string>",
              "name": "<string>",
              "price": {
                "taxInclusive": true,
                "currencyPrices": [
                  {
                    "amount": {
                      "amountMinor": 123,
                      "currency": "<string>"
                    },
                    "taxInclusive": true
                  }
                ],
                "openBounds": {
                  "presets": [
                    {
                      "amountMinor": 123,
                      "currency": "<string>"
                    }
                  ]
                },
                "bulkTiers": [
                  {
                    "minQuantity": 123,
                    "unitPrice": {
                      "amountMinor": 123,
                      "currency": "<string>"
                    }
                  }
                ]
              },
              "id": "<string>",
              "sku": "<string>",
              "barcodes": [
                "<string>"
              ],
              "modifierGroups": [
                {
                  "groupId": "<string>",
                  "minSelections": 123,
                  "maxSelections": 123,
                  "minUniqueSelections": 123,
                  "maxUniqueSelections": 123,
                  "freeSelectionCount": 123,
                  "chargeKeptDefaults": true,
                  "allowedQuantities": [
                    123
                  ],
                  "optionDefaults": [
                    {
                      "optionId": "<string>",
                      "defaultQuantity": 123
                    }
                  ],
                  "externalId": "<unknown>",
                  "name": "<unknown>",
                  "options": "<unknown>"
                }
              ],
              "dietaryLabels": [
                "<string>"
              ],
              "allergens": [
                "<string>"
              ],
              "calorieCount": 123
            }
          ],
          "id": "<string>",
          "description": "<string>",
          "modifierGroups": [
            {
              "groupId": "<string>",
              "minSelections": 123,
              "maxSelections": 123,
              "minUniqueSelections": 123,
              "maxUniqueSelections": 123,
              "freeSelectionCount": 123,
              "chargeKeptDefaults": true,
              "allowedQuantities": [
                123
              ],
              "optionDefaults": [
                {
                  "optionId": "<string>",
                  "defaultQuantity": 123
                }
              ],
              "externalId": "<unknown>",
              "name": "<unknown>",
              "options": "<unknown>"
            }
          ],
          "taxCategoryId": "<string>",
          "taxRateIds": [
            "<string>"
          ],
          "feeIds": [
            "<string>"
          ],
          "dietaryLabels": [
            "<string>"
          ],
          "allergens": [
            "<string>"
          ],
          "calorieCount": 123
        }
      ],
      "id": "<string>"
    }
  ],
  "locale": "<string>",
  "timezone": "<string>",
  "currencies": [
    {
      "currency": "<string>",
      "exponent": 123,
      "cashRoundingMinor": 123
    }
  ],
  "taxCategories": [
    {
      "name": "<string>",
      "id": "<string>",
      "externalId": "<string>"
    }
  ],
  "taxRates": [
    {
      "name": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "taxCategoryId": "<string>",
      "percentage": 123,
      "brackets": [
        {
          "from": {
            "amountMinor": 123,
            "currency": "<string>"
          },
          "tax": {
            "amountMinor": 123,
            "currency": "<string>"
          }
        }
      ],
      "compoundOnTaxRateIds": [
        "<string>"
      ],
      "tenderExemptions": [],
      "condition": {
        "jurisdiction": "<string>",
        "attributes": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ]
      },
      "hiddenFromCustomer": true
    }
  ],
  "fees": [
    {
      "name": "<string>",
      "calculation": {
        "percentage": 123,
        "eligibleProductSetId": "<string>",
        "excludedProductSetIds": [
          "<string>"
        ]
      },
      "id": "<string>",
      "externalId": "<string>",
      "taxCategoryId": "<string>",
      "refundable": true,
      "autoApply": {
        "byGuestCountGte": 123,
        "byFulfillmentMode": []
      },
      "containers": [
        {
          "amount": {
            "amountMinor": 123,
            "currency": "<string>"
          },
          "containerSizeMl": 123
        }
      ]
    }
  ],
  "productSets": [
    {
      "id": "<string>",
      "externalId": "<string>",
      "name": "<string>",
      "itemIdsAny": [
        "<string>"
      ],
      "itemIdsAll": [
        "<string>"
      ],
      "allProducts": true,
      "quantityExact": 123,
      "quantityMin": 123,
      "quantityMax": 123
    }
  ],
  "discounts": [
    {
      "name": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "percentage": 123,
      "benefitTargetProductSetId": "<string>",
      "freeFeeTargets": [],
      "modifiesTaxBasis": true
    }
  ],
  "promotions": [
    {
      "name": "<string>",
      "discountId": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "eligibility": {
        "matchProductSetId": "<string>",
        "excludeProductSetId": "<string>"
      },
      "validFrom": "<string>",
      "validUntil": "<string>",
      "redemption": {
        "maxUsesTotal": 123,
        "maxUsesPerCustomer": 123
      }
    }
  ],
  "coupons": [
    {
      "code": "<string>",
      "promotionId": "<string>",
      "id": "<string>",
      "externalId": "<string>",
      "maxRedemptions": 123,
      "perCustomerLimit": 123,
      "expiresAt": "<string>"
    }
  ],
  "modifierGroups": [
    {
      "externalId": "<string>",
      "name": "<string>",
      "minSelections": 123,
      "maxSelections": 123,
      "id": "<string>",
      "minUniqueSelections": 123,
      "maxUniqueSelections": 123,
      "freeSelectionCount": 123,
      "chargeKeptDefaults": true,
      "allowedQuantities": [
        123
      ],
      "options": [
        {
          "externalId": "<string>",
          "name": "<string>",
          "id": "<string>",
          "price": {
            "taxInclusive": true,
            "currencyPrices": [
              {
                "amount": {
                  "amountMinor": 123,
                  "currency": "<string>"
                },
                "taxInclusive": true
              }
            ],
            "openBounds": {
              "presets": [
                {
                  "amountMinor": 123,
                  "currency": "<string>"
                }
              ]
            },
            "bulkTiers": [
              {
                "minQuantity": 123,
                "unitPrice": {
                  "amountMinor": 123,
                  "currency": "<string>"
                }
              }
            ]
          },
          "defaultQuantity": 123,
          "minQuantity": 123,
          "maxQuantity": 123,
          "taxCategoryId": "<string>",
          "taxRateIds": [
            "<string>"
          ],
          "dietaryLabels": [
            "<string>"
          ],
          "allergens": [
            "<string>"
          ],
          "modifierGroups": [
            {
              "groupId": "<string>",
              "minSelections": 123,
              "maxSelections": 123,
              "minUniqueSelections": 123,
              "maxUniqueSelections": 123,
              "freeSelectionCount": 123,
              "chargeKeptDefaults": true,
              "allowedQuantities": [
                123
              ],
              "optionDefaults": [
                {
                  "optionId": "<string>",
                  "defaultQuantity": 123
                }
              ],
              "externalId": "<unknown>",
              "name": "<unknown>",
              "options": "<unknown>"
            }
          ]
        }
      ],
      "textMaxLength": 123,
      "groupId": "<unknown>"
    }
  ]
}
'
import requests

url = "https://api.maple.inc/v1/locations/{locationId}/menu"

payload = {
"currency": "<string>",
"categories": [
{
"externalId": "<string>",
"name": "<string>",
"items": [
{
"externalId": "<string>",
"name": "<string>",
"variations": [
{
"externalId": "<string>",
"name": "<string>",
"price": {
"taxInclusive": True,
"currencyPrices": [
{
"amount": {
"amountMinor": 123,
"currency": "<string>"
},
"taxInclusive": True
}
],
"openBounds": { "presets": [
{
"amountMinor": 123,
"currency": "<string>"
}
] },
"bulkTiers": [
{
"minQuantity": 123,
"unitPrice": {
"amountMinor": 123,
"currency": "<string>"
}
}
]
},
"id": "<string>",
"sku": "<string>",
"barcodes": ["<string>"],
"modifierGroups": [
{
"groupId": "<string>",
"minSelections": 123,
"maxSelections": 123,
"minUniqueSelections": 123,
"maxUniqueSelections": 123,
"freeSelectionCount": 123,
"chargeKeptDefaults": True,
"allowedQuantities": [123],
"optionDefaults": [
{
"optionId": "<string>",
"defaultQuantity": 123
}
],
"externalId": "<unknown>",
"name": "<unknown>",
"options": "<unknown>"
}
],
"dietaryLabels": ["<string>"],
"allergens": ["<string>"],
"calorieCount": 123
}
],
"id": "<string>",
"description": "<string>",
"modifierGroups": [
{
"groupId": "<string>",
"minSelections": 123,
"maxSelections": 123,
"minUniqueSelections": 123,
"maxUniqueSelections": 123,
"freeSelectionCount": 123,
"chargeKeptDefaults": True,
"allowedQuantities": [123],
"optionDefaults": [
{
"optionId": "<string>",
"defaultQuantity": 123
}
],
"externalId": "<unknown>",
"name": "<unknown>",
"options": "<unknown>"
}
],
"taxCategoryId": "<string>",
"taxRateIds": ["<string>"],
"feeIds": ["<string>"],
"dietaryLabels": ["<string>"],
"allergens": ["<string>"],
"calorieCount": 123
}
],
"id": "<string>"
}
],
"locale": "<string>",
"timezone": "<string>",
"currencies": [
{
"currency": "<string>",
"exponent": 123,
"cashRoundingMinor": 123
}
],
"taxCategories": [
{
"name": "<string>",
"id": "<string>",
"externalId": "<string>"
}
],
"taxRates": [
{
"name": "<string>",
"id": "<string>",
"externalId": "<string>",
"taxCategoryId": "<string>",
"percentage": 123,
"brackets": [
{
"from": {
"amountMinor": 123,
"currency": "<string>"
},
"tax": {
"amountMinor": 123,
"currency": "<string>"
}
}
],
"compoundOnTaxRateIds": ["<string>"],
"tenderExemptions": [],
"condition": {
"jurisdiction": "<string>",
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"hiddenFromCustomer": True
}
],
"fees": [
{
"name": "<string>",
"calculation": {
"percentage": 123,
"eligibleProductSetId": "<string>",
"excludedProductSetIds": ["<string>"]
},
"id": "<string>",
"externalId": "<string>",
"taxCategoryId": "<string>",
"refundable": True,
"autoApply": {
"byGuestCountGte": 123,
"byFulfillmentMode": []
},
"containers": [
{
"amount": {
"amountMinor": 123,
"currency": "<string>"
},
"containerSizeMl": 123
}
]
}
],
"productSets": [
{
"id": "<string>",
"externalId": "<string>",
"name": "<string>",
"itemIdsAny": ["<string>"],
"itemIdsAll": ["<string>"],
"allProducts": True,
"quantityExact": 123,
"quantityMin": 123,
"quantityMax": 123
}
],
"discounts": [
{
"name": "<string>",
"id": "<string>",
"externalId": "<string>",
"percentage": 123,
"benefitTargetProductSetId": "<string>",
"freeFeeTargets": [],
"modifiesTaxBasis": True
}
],
"promotions": [
{
"name": "<string>",
"discountId": "<string>",
"id": "<string>",
"externalId": "<string>",
"eligibility": {
"matchProductSetId": "<string>",
"excludeProductSetId": "<string>"
},
"validFrom": "<string>",
"validUntil": "<string>",
"redemption": {
"maxUsesTotal": 123,
"maxUsesPerCustomer": 123
}
}
],
"coupons": [
{
"code": "<string>",
"promotionId": "<string>",
"id": "<string>",
"externalId": "<string>",
"maxRedemptions": 123,
"perCustomerLimit": 123,
"expiresAt": "<string>"
}
],
"modifierGroups": [
{
"externalId": "<string>",
"name": "<string>",
"minSelections": 123,
"maxSelections": 123,
"id": "<string>",
"minUniqueSelections": 123,
"maxUniqueSelections": 123,
"freeSelectionCount": 123,
"chargeKeptDefaults": True,
"allowedQuantities": [123],
"options": [
{
"externalId": "<string>",
"name": "<string>",
"id": "<string>",
"price": {
"taxInclusive": True,
"currencyPrices": [
{
"amount": {
"amountMinor": 123,
"currency": "<string>"
},
"taxInclusive": True
}
],
"openBounds": { "presets": [
{
"amountMinor": 123,
"currency": "<string>"
}
] },
"bulkTiers": [
{
"minQuantity": 123,
"unitPrice": {
"amountMinor": 123,
"currency": "<string>"
}
}
]
},
"defaultQuantity": 123,
"minQuantity": 123,
"maxQuantity": 123,
"taxCategoryId": "<string>",
"taxRateIds": ["<string>"],
"dietaryLabels": ["<string>"],
"allergens": ["<string>"],
"modifierGroups": [
{
"groupId": "<string>",
"minSelections": 123,
"maxSelections": 123,
"minUniqueSelections": 123,
"maxUniqueSelections": 123,
"freeSelectionCount": 123,
"chargeKeptDefaults": True,
"allowedQuantities": [123],
"optionDefaults": [
{
"optionId": "<string>",
"defaultQuantity": 123
}
],
"externalId": "<unknown>",
"name": "<unknown>",
"options": "<unknown>"
}
]
}
],
"textMaxLength": 123,
"groupId": "<unknown>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: '<string>',
categories: [
{
externalId: '<string>',
name: '<string>',
items: [
{
externalId: '<string>',
name: '<string>',
variations: [
{
externalId: '<string>',
name: '<string>',
price: {
taxInclusive: true,
currencyPrices: [{amount: {amountMinor: 123, currency: '<string>'}, taxInclusive: true}],
openBounds: {presets: [{amountMinor: 123, currency: '<string>'}]},
bulkTiers: [{minQuantity: 123, unitPrice: {amountMinor: 123, currency: '<string>'}}]
},
id: '<string>',
sku: '<string>',
barcodes: ['<string>'],
modifierGroups: [
{
groupId: '<string>',
minSelections: 123,
maxSelections: 123,
minUniqueSelections: 123,
maxUniqueSelections: 123,
freeSelectionCount: 123,
chargeKeptDefaults: true,
allowedQuantities: [123],
optionDefaults: [{optionId: '<string>', defaultQuantity: 123}],
externalId: '<unknown>',
name: '<unknown>',
options: '<unknown>'
}
],
dietaryLabels: ['<string>'],
allergens: ['<string>'],
calorieCount: 123
}
],
id: '<string>',
description: '<string>',
modifierGroups: [
{
groupId: '<string>',
minSelections: 123,
maxSelections: 123,
minUniqueSelections: 123,
maxUniqueSelections: 123,
freeSelectionCount: 123,
chargeKeptDefaults: true,
allowedQuantities: [123],
optionDefaults: [{optionId: '<string>', defaultQuantity: 123}],
externalId: '<unknown>',
name: '<unknown>',
options: '<unknown>'
}
],
taxCategoryId: '<string>',
taxRateIds: ['<string>'],
feeIds: ['<string>'],
dietaryLabels: ['<string>'],
allergens: ['<string>'],
calorieCount: 123
}
],
id: '<string>'
}
],
locale: '<string>',
timezone: '<string>',
currencies: [{currency: '<string>', exponent: 123, cashRoundingMinor: 123}],
taxCategories: [{name: '<string>', id: '<string>', externalId: '<string>'}],
taxRates: [
{
name: '<string>',
id: '<string>',
externalId: '<string>',
taxCategoryId: '<string>',
percentage: 123,
brackets: [
{
from: {amountMinor: 123, currency: '<string>'},
tax: {amountMinor: 123, currency: '<string>'}
}
],
compoundOnTaxRateIds: ['<string>'],
tenderExemptions: [],
condition: {jurisdiction: '<string>', attributes: [{key: '<string>', value: '<string>'}]},
hiddenFromCustomer: true
}
],
fees: [
{
name: '<string>',
calculation: {
percentage: 123,
eligibleProductSetId: '<string>',
excludedProductSetIds: ['<string>']
},
id: '<string>',
externalId: '<string>',
taxCategoryId: '<string>',
refundable: true,
autoApply: {byGuestCountGte: 123, byFulfillmentMode: []},
containers: [{amount: {amountMinor: 123, currency: '<string>'}, containerSizeMl: 123}]
}
],
productSets: [
{
id: '<string>',
externalId: '<string>',
name: '<string>',
itemIdsAny: ['<string>'],
itemIdsAll: ['<string>'],
allProducts: true,
quantityExact: 123,
quantityMin: 123,
quantityMax: 123
}
],
discounts: [
{
name: '<string>',
id: '<string>',
externalId: '<string>',
percentage: 123,
benefitTargetProductSetId: '<string>',
freeFeeTargets: [],
modifiesTaxBasis: true
}
],
promotions: [
{
name: '<string>',
discountId: '<string>',
id: '<string>',
externalId: '<string>',
eligibility: {matchProductSetId: '<string>', excludeProductSetId: '<string>'},
validFrom: '<string>',
validUntil: '<string>',
redemption: {maxUsesTotal: 123, maxUsesPerCustomer: 123}
}
],
coupons: [
{
code: '<string>',
promotionId: '<string>',
id: '<string>',
externalId: '<string>',
maxRedemptions: 123,
perCustomerLimit: 123,
expiresAt: '<string>'
}
],
modifierGroups: [
{
externalId: '<string>',
name: '<string>',
minSelections: 123,
maxSelections: 123,
id: '<string>',
minUniqueSelections: 123,
maxUniqueSelections: 123,
freeSelectionCount: 123,
chargeKeptDefaults: true,
allowedQuantities: [123],
options: [
{
externalId: '<string>',
name: '<string>',
id: '<string>',
price: {
taxInclusive: true,
currencyPrices: [{amount: {amountMinor: 123, currency: '<string>'}, taxInclusive: true}],
openBounds: {presets: [{amountMinor: 123, currency: '<string>'}]},
bulkTiers: [{minQuantity: 123, unitPrice: {amountMinor: 123, currency: '<string>'}}]
},
defaultQuantity: 123,
minQuantity: 123,
maxQuantity: 123,
taxCategoryId: '<string>',
taxRateIds: ['<string>'],
dietaryLabels: ['<string>'],
allergens: ['<string>'],
modifierGroups: [
{
groupId: '<string>',
minSelections: 123,
maxSelections: 123,
minUniqueSelections: 123,
maxUniqueSelections: 123,
freeSelectionCount: 123,
chargeKeptDefaults: true,
allowedQuantities: [123],
optionDefaults: [{optionId: '<string>', defaultQuantity: 123}],
externalId: '<unknown>',
name: '<unknown>',
options: '<unknown>'
}
]
}
],
textMaxLength: 123,
groupId: '<unknown>'
}
]
})
};

fetch('https://api.maple.inc/v1/locations/{locationId}/menu', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.maple.inc/v1/locations/{locationId}/menu",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'currency' => '<string>',
    'categories' => [
        [
                'externalId' => '<string>',
                'name' => '<string>',
                'items' => [
                                [
                                                                'externalId' => '<string>',
                                                                'name' => '<string>',
                                                                'variations' => [
                                                                                                                                [
                                                                                                                                                                                                                                                                'externalId' => '<string>',
                                                                                                                                                                                                                                                                'name' => '<string>',
                                                                                                                                                                                                                                                                'price' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'taxInclusive' => true,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currencyPrices' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amount' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amountMinor' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currency' => '<string>'
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'taxInclusive' => true
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'openBounds' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'presets' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amountMinor' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currency' => '<string>'
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'bulkTiers' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'minQuantity' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'unitPrice' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'amountMinor' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'currency' => '<string>'
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]
                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                'id' => '<string>',
                                                                                                                                                                                                                                                                'sku' => '<string>',
                                                                                                                                                                                                                                                                'barcodes' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                '<string>'
                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                'modifierGroups' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'groupId' => '<string>',
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'minSelections' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'maxSelections' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'minUniqueSelections' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'maxUniqueSelections' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'freeSelectionCount' => 123,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'chargeKeptDefaults' => true,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'allowedQuantities' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                123
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ],
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'optionDefaults' => [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                [
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'optionId' => '<string>',
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                'defaultQuantity' => 123
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ]
[...]
